<!DOCTYPE html>
<html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/fontawesome.min.css"/>

  <style>
    @media screen and (max-width: 600px) {
      .table-responsive-sm {
        display: block;
        overflow-x: auto;
      }
      
      .table-sm-font {
        font-size: 0.875rem; /* fs-6 */
      }
    }

    .edit-popup {
    display: none;
    position: fixed;
    z-index: 9999;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
  }
  .edit-popup-content {
    background-color: #fff;
    max-width: 400px;
    margin: 100px auto;
    padding: 20px;
  }
  </style>

  <script src="https://code.jquery.com/jquery-3.7.0.js"></script>
</head>
<body>

<div class="container">
  <div class="text-center mb-3">
    <button class="btn btn-primary mt-3" onclick="insert()">INSERT</button>
  </div>
  <div class="table-responsive-sm">
    <table class="table table-bordered table-sm table-sm-font">
      <thead class="thead-light">
        <tr>
          <th>Sl.No</th>
          <th>Name</th>
          <th>Email</th>
          <th>Phone</th>
          <th colspan="2" class="text-center">Action</th>
        </tr>
      </thead>
      <tbody id="dataContainer">
       
      </tbody>
    </table>
  </div>
</div>



<!-- DIALOG-BOX111 -->

<div class="edit-popup" id="dialogForm" style="display: none;">
  <div class="edit-popup-content">
  <form id="updateForm">
    <div class="form-group">
      <label for="updateId">ID:</label>
      <input type="hidden" class="form-control" id="updateId" name="updateId" readonly>
    </div>
    <div class="form-group">
      <label for="updateName">Name:</label>
      <input type="text" class="form-control" id="updateName" name="updateName" required>
    </div>
    <div class="form-group">
      <label for="updateEmail">Email:</label>
      <input type="email" class="form-control" id="updateEmail" name="updateEmail" required>
    </div>
    <div class="form-group">
      <label for="updatePhone">Phone:</label>
      <input type="tel" class="form-control" id="updatePhone" name="updatePhone" required>
    </div>
    <input type="submit" class="btn btn-primary" value="Save" id="save" >
    <input type="button" class="btn btn-primary" value="Close" id="close" onclick="closeButton()">
  </form>
</div>
</div>

<script src="code/display_script.js"></script>
</body>
</html>
